#!/bin/sh

ganymedeRepo=http://download.eclipse.org/releases/ganymede/
ajdtRepo=http://download.eclipse.org/tools/ajdt/34/update/

workspace=`pwd`/workspace

echo -------- BUCKMINSTER
./eclipse/eclipse \
   -nosplash \
   -data $workspace \
   -application org.eclipse.equinox.p2.director.app.application \
   -metadataRepository $ganymedeRepo \
   -artifactRepository $ganymedeRepo \
   -installIU org.eclipse.buckminster.core.feature.feature.group \
   -profileProperties org.eclipse.update.install.features=true

echo -------- Subclipse
./eclipse/eclipse \
   -nosplash \
   -data $workspace \
   -application org.eclipse.equinox.p2.director.app.application \
   -metadataRepository $ganymedeRepo \
   -artifactRepository $ganymedeRepo \
   -installIU org.eclipse.team.svn.feature.group \
   -profileProperties org.eclipse.update.install.features=true

echo -------- Subclipse Source
./eclipse/eclipse \
   -nosplash \
   -data $workspace \
   -application org.eclipse.equinox.p2.director.app.application \
   -metadataRepository $ganymedeRepo \
   -artifactRepository $ganymedeRepo \
   -installIU org.eclipse.team.svn.source.feature.group \
   -profileProperties org.eclipse.update.install.features=true

echo -------- JDT
./eclipse/eclipse \
   -nosplash \
   -data $workspace \
   -application org.eclipse.equinox.p2.director.app.application \
   -metadataRepository $ganymedeRepo \
   -artifactRepository $ganymedeRepo \
   -installIU org.eclipse.jdt.feature.group \
   -profileProperties org.eclipse.update.install.features=true

echo -------- ZEST
./eclipse/eclipse \
   -nosplash \
   -data $workspace \
   -application org.eclipse.equinox.p2.director.app.application \
   -metadataRepository $ganymedeRepo \
   -artifactRepository $ganymedeRepo \
   -installIU org.eclipse.zest.sdk.feature.group \
   -profileProperties org.eclipse.update.install.features=true
   
echo -------- WTP
echo ---------- JST Common Core
./eclipse/eclipse \
   -nosplash \
   -data $workspace \
   -application org.eclipse.equinox.p2.director.app.application \
   -metadataRepository $ganymedeRepo \
   -artifactRepository $ganymedeRepo \
   -installIU org.eclipse.jst.common_core.feature.feature.group \
   -profileProperties org.eclipse.update.install.features=true

echo ---------- JST Web Core
./eclipse/eclipse \
   -nosplash \
   -data $workspace \
   -application org.eclipse.equinox.p2.director.app.application \
   -metadataRepository $ganymedeRepo \
   -artifactRepository $ganymedeRepo \
   -installIU org.eclipse.jst.web_core.feature.feature.group \
   -profileProperties org.eclipse.update.install.features=true
   
echo ---------- WST Common Core
./eclipse/eclipse \
   -nosplash \
   -data $workspace \
   -application org.eclipse.equinox.p2.director.app.application \
   -metadataRepository $ganymedeRepo \
   -artifactRepository $ganymedeRepo \
   -installIU org.eclipse.wst.common_core.feature.feature.group \
   -profileProperties org.eclipse.update.install.features=true

echo ---------- WST XML Core
./eclipse/eclipse \
   -nosplash \
   -data $workspace \
   -application org.eclipse.equinox.p2.director.app.application \
   -metadataRepository $ganymedeRepo \
   -artifactRepository $ganymedeRepo \
   -installIU org.eclipse.wst.xml_core.feature.feature.group \
   -profileProperties org.eclipse.update.install.features=true
   
echo ---------- WST XML UI
./eclipse/eclipse \
   -nosplash \
   -data $workspace \
   -application org.eclipse.equinox.p2.director.app.application \
   -metadataRepository $ganymedeRepo \
   -artifactRepository $ganymedeRepo \
   -installIU org.eclipse.wst.xml_ui.feature.feature.group \
   -profileProperties org.eclipse.update.install.features=true
   
echo ---------- WST Web Core
./eclipse/eclipse \
   -nosplash \
   -data $workspace \
   -application org.eclipse.equinox.p2.director.app.application \
   -metadataRepository $ganymedeRepo \
   -artifactRepository $ganymedeRepo \
   -installIU org.eclipse.wst.web_core.feature.feature.group \
   -profileProperties org.eclipse.update.install.features=true

echo -------- SSE - Structured source editors
./eclipse/eclipse \
   -nosplash \
   -data $workspace \
   -application org.eclipse.equinox.p2.director.app.application \
   -metadataRepository $ganymedeRepo \
   -artifactRepository $ganymedeRepo \
   -installIU org.eclipse.wst.sse.ui \
   -profileProperties org.eclipse.update.install.features=true

echo ---------- AJDT Source
./eclipse/eclipse \
   -nosplash \
   -data $workspace \
   -application org.eclipse.equinox.p2.director.app.application \
   -metadataRepository $ajdtRepo \
   -artifactRepository $ajdtRepo \
   -installIU org.eclipse.ajdt.feature.group \
   -profileProperties org.eclipse.update.install.features=true

echo ---------- AJDT Source
./eclipse/eclipse \
   -nosplash \
   -data $workspace \
   -application org.eclipse.equinox.p2.director.app.application \
   -metadataRepository $ajdtRepo \
   -artifactRepository $ajdtRepo \
   -installIU org.eclipse.ajdt.source.feature.group \
   -profileProperties org.eclipse.update.install.features=true

echo -------- EMF Data Binding
./eclipse/eclipse \
   -nosplash \
   -data $workspace \
   -application org.eclipse.equinox.p2.director.app.application \
   -metadataRepository $ganymedeRepo \
   -artifactRepository $ganymedeRepo \
   -installIU org.eclipse.emf.databinding.feature.group \
   -profileProperties org.eclipse.update.install.features=true

echo -------- EMF Data Binding Edit
./eclipse/eclipse \
   -nosplash \
   -data $workspace \
   -application org.eclipse.equinox.p2.director.app.application \
   -metadataRepository $ganymedeRepo \
   -artifactRepository $ganymedeRepo \
   -installIU org.eclipse.emf.databinding.edit.feature.group \
   -profileProperties org.eclipse.update.install.features=true

echo -------- EMF Edit UI
./eclipse/eclipse \
   -nosplash \
   -data $workspace \
   -application org.eclipse.equinox.p2.director.app.application \
   -metadataRepository $ganymedeRepo \
   -artifactRepository $ganymedeRepo \
   -installIU org.eclipse.emf.edit.ui \
   -profileProperties org.eclipse.update.install.features=true

echo --- Downloading approved bundles from Orbit ---
echo -------- Apache Commons CLI
curl http://download.eclipse.org/tools/orbit/downloads/drops/R20080807152315/bundles/org.apache.commons.cli_1.0.0.v20080604-1500.jar -o eclipse/plugins/org.apache.commons.cli_1.0.0.v20080604-1500.jar 

echo -------- Apache Commons Collections
curl http://download.eclipse.org/tools/orbit/downloads/drops/R20080807152315/bundles/org.apache.commons.collections_3.2.0.v200803061811.jar -o eclipse/plugins/org.apache.commons.collections_3.2.0.v200803061811.jar 


echo -------- JTidy
curl http://q4e.googlecode.com/svn/trunk/updatesite/plugins/org.w3c.tidy_0.0.0.4aug2000r7-dev-200711190855.jar -o eclipse/plugins/org.w3c.tidy_0.0.0.4aug2000r7-dev-200711190855.jar


